%global srcname cycler

Name:           python-%{srcname}
Version:        0.10.0
Release:        %mkrel 8
Summary:        Cycle through lists in various ways (used by matplotlib)
Group:          Development/Python
License:        BSD
Source0:        https://github.com/matplotlib/cycler/archive/v%{version}/%{name}-%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
URL:            https://github.com/matplotlib/cycler
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-six
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose

%description
General purpose library used by matplotlib to cycle through lists for colors, marker styles,
etc.

%package -n python3-%{srcname}
Summary:        Cycle through lists in various ways (used by matplotlib)
Requires:       python3-six
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
General purpose library used by matplotlib to cycle through lists for colors, marker styles,
etc.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/*


%changelog
* Wed Apr 01 2020 wally <wally> 0.10.0-8.mga8
+ Revision: 1563894
- clean python2 leftovers from .spec

* Sun Feb 16 2020 umeabot <umeabot> 0.10.0-7.mga8
+ Revision: 1531357
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 tv <tv> 0.10.0-6.mga8
+ Revision: 1439594
- drop python2 subpkg
- rebuild for python-3.8

* Mon Jan 07 2019 tv <tv> 0.10.0-5.mga7
+ Revision: 1350497
- fix deps in %%description

* Mon Jan 07 2019 shlomif <shlomif> 0.10.0-4.mga7
+ Revision: 1350395
- rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.10.0-3.mga7
+ Revision: 1288562
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.10.0-2.mga7
+ Revision: 1135359
- Rebuild for python 3.6

* Sun Apr 24 2016 joequant <joequant> 0.10.0-1.mga6
+ Revision: 1005802
- fix build requires
- fix build requires
- imported package python-cycler

